import Taro from '@tarojs/taro'


const setGlobalStorage = (key, value) => {
    if (process.env.TARO_ENV === 'weapp') {
        Taro.setStorageSync(key, value)

    } else if (process.env.TARO_ENV === 'alipay') {
        my.setStorageSync({
            key: key,
            data: value
        })
    }
}

const getGlobalStorage = (key) => {
    if (process.env.TARO_ENV === 'weapp') {
        return Taro.getStorageSync(key)


    } else if (process.env.TARO_ENV === 'alipay') {

        let res = my.getStorageSync({
            key: key,
        })
        if (res.data || res.APDataStorage) {
            return res.data || res.APDataStorage
        } else {
            return
        }

    }
}
export { setGlobalStorage, getGlobalStorage }